#version 330 core
#extension GL_ARB_separate_shader_objects : enable

layout (location = 0) in vec3 aPos;
layout (location = 1) in vec2 aTexCoord;

uniform mat4 uniform_MVP;
uniform mat4 uniform_MP;

out vec2 TexCoord;

void main() {
  vec3 pos = aPos;

  gl_Position = uniform_MVP * uniform_MP * vec4(pos, 1);
  TexCoord = vec2(aTexCoord.x, aTexCoord.y);
}